### Function

# Qmi message_tlv_write_complete

since: 1.12

#### Declaration [src]

    gboolean
    qmi_message_tlv_write_complete (
      QmiMessage* self,
      gsize tlv_offset,
      GError** error
    )

#### Description [src]

Completes building a TLV in the `QmiMessage`.

In case of error the TLV will be reseted; i.e. there is no need to explicitly call qmi_message_tlv_write_reset().

Available since: 1.12

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`tlv_offset`

  Type: `gsize`

  Offset that was returned by qmi_message_tlv_write_init().

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the TLV is successfully completed, otherwise `FALSE` is returned and `error` is set.